[25343] in Source-Commits

home help back first fref pref prev next nref lref last post

/svn/athena r24914 - trunk/debathena/scripts/installer/pxe/jaunty/debathena-jaunty

daemon@ATHENA.MIT.EDU (andrew m. boardman)
Mon Jan 3 18:32:40 2011

Date: Mon, 3 Jan 2011 18:32:34 -0500
From: "andrew m. boardman" <amb@MIT.EDU>
Message-Id: <201101032332.p03NWY9u010594@drugstore.mit.edu>
To: source-commits@mit.edu
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Author: amb
Date: 2011-01-03 18:32:34 -0500 (Mon, 03 Jan 2011)
New Revision: 24914

Modified:
   trunk/debathena/scripts/installer/pxe/jaunty/debathena-jaunty/installer.sh
Log:
Detect and report the install architecture before the "press return to
continue" prompt.


Modified: trunk/debathena/scripts/installer/pxe/jaunty/debathena-jaunty/installer.sh
===================================================================
--- trunk/debathena/scripts/installer/pxe/jaunty/debathena-jaunty/installer.sh	2010-12-25 21:43:00 UTC (rev 24913)
+++ trunk/debathena/scripts/installer/pxe/jaunty/debathena-jaunty/installer.sh	2011-01-03 23:32:34 UTC (rev 24914)
@@ -179,21 +179,24 @@
   fi
 fi
 
-echo "Initial Debathena setup complete; ready to reboot into main installer."
-if ! [ "$clusteraddr" -a "$clusterforce" = yes ] ; then
-  echo "Hit return to continue."
-  read r
-fi
-
 # Fetch secondary (real) installer, invoking as specified above:
 if [ -z "$arch" ] ; then
   if egrep -q '^flags[ 	].* lm( |$)' /proc/cpuinfo
     then arch=amd64 ; else arch=i386
   fi
+  echo "Autodetected architecture: $arch."
+else
+  echo "Forced architecture: $arch."
 fi
 
-echo "Configuring network and fetching next installer phase..."
-# net already configured above
+echo "Initial Debathena setup complete; ready to reboot into main installer."
+if ! [ "$clusteraddr" -a "$clusterforce" = yes ] ; then
+  echo "Hit return to continue."
+  read r
+fi
+
+echo "Fetching next installer phase..."
+# Network config now done above.
 mkdir /h; cd /h
 wget http://debathena.mit.edu/net-install/kexec
 wget http://debathena.mit.edu/net-install/lucid/${arch}/initrd.gz


home help back first fref pref prev next nref lref last post